Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/dom_ice.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/dom_ice.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/dom_ice.F90	(revision 6596)
@@ -20,5 +20,4 @@
    INTEGER, PUBLIC ::   njeq , njeqm1        !: j-index of the equator if it is inside the domain
 
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)     ::   fcor   !: coriolis coefficient
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:,:) ::   wght   !: weight of the 4 neighbours to compute averages
 
@@ -37,5 +36,5 @@
       !!-------------------------------------------------------------------
       !
-      ALLOCATE( fcor(jpi,jpj), wght(jpi,jpj,2,2), STAT = dom_ice_alloc )
+      ALLOCATE( wght(jpi,jpj,2,2), STAT = dom_ice_alloc )
       !
       IF( dom_ice_alloc /= 0 )   CALL ctl_warn( 'dom_ice_alloc: failed to allocate arrays.' )
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 6596)
@@ -168,5 +168,5 @@
             DO jj = 1, jpj
                DO ji = 1, jpi
-                  IF( fcor(ji,jj) >= 0._wp ) THEN
+                  IF( ff_t(ji,jj) >= 0._wp ) THEN
                      zht_i_ini(ji,jj) = rn_hti_ini_n
                      zht_s_ini(ji,jj) = rn_hts_ini_n
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/limmsh.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/limmsh.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/limmsh.F90	(revision 6596)
@@ -54,21 +54,16 @@
       ENDIF
 
-      IF( jphgr_msh == 2 .OR. jphgr_msh == 3 .OR. jphgr_msh == 5 )   &
-          &      CALL ctl_stop(' Coriolis parameter in LIM not set for f- or beta-plane')
-
-      !                           !==  coriolis factor & Equator position ==!
+      !                           !==  Equator position  ==!
       njeq   = INT( jpj / 2 ) 
       njeqm1 = njeq - 1 
       !
-      fcor(:,:) = 2. * omega * SIN( gphit(:,:) * rad )   ! coriolis factor
-      !
-      IF( fcor(1,1) * fcor(1,nlcj) < 0.e0 ) THEN   ! local domain include both hemisphere
+      IF( ff_t(1,1) * ff_t(1,nlcj) < 0._wp ) THEN   ! local domain include both hemisphere
          l_jeq = .TRUE.
          njeq  = 1
-         DO WHILE ( njeq <= jpj .AND. fcor(1,njeq) < 0.e0 )
+         DO WHILE ( njeq <= jpj .AND. ff_t(1,njeq) < 0._wp )
             njeq = njeq + 1
          END DO
          IF(lwp ) WRITE(numout,*) '          the equator is inside the domain at about njeq = ', njeq
-      ELSEIF( fcor(1,1) < 0.e0 ) THEN
+      ELSEIF( ff_t(1,1) < 0._wp ) THEN
          l_jeq = .FALSE.
          njeq = jpj
@@ -84,10 +79,10 @@
 
       !                           !==  metric coefficients for sea ice dynamic  ==!
-      wght(:,:,:,:) = 0.e0
+      wght(:,:,:,:) = 0._wp
 !!gm  Optimisation :  wght to be defined at F-point, not I-point  and change in limrhg
       DO jj = 2, jpj
          DO ji = 2, jpi
-            zusden = 1.e0 / (  ( e1t(ji,jj) + e1t(ji-1,jj  ) )   &
-               &             * ( e2t(ji,jj) + e2t(ji  ,jj-1) ) )
+            zusden = 1._wp / (  ( e1t(ji,jj) + e1t(ji-1,jj  ) )   &
+               &              * ( e2t(ji,jj) + e2t(ji  ,jj-1) ) )
             wght(ji,jj,1,1) = zusden * e1t(ji  ,jj) * e2t(ji,jj  )
             wght(ji,jj,1,2) = zusden * e1t(ji  ,jj) * e2t(ji,jj-1)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/limrhg.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/limrhg.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/limrhg.F90	(revision 6596)
@@ -267,7 +267,7 @@
             zmass1(ji,jj) = ( zt12 * zc1 + zt11 * zc2 ) / ( zt11 + zt12 + zepsi )
             zmass2(ji,jj) = ( zt22 * zc1 + zt21 * zc3 ) / ( zt21 + zt22 + zepsi )
-            zcorl1(ji,jj) = zmass1(ji,jj) * ( e1t(ji+1,jj) * fcor(ji,jj) + e1t(ji,jj) * fcor(ji+1,jj) )   &
+            zcorl1(ji,jj) = zmass1(ji,jj) * ( e1t(ji+1,jj) * ff_t(ji,jj) + e1t(ji,jj) * ff_t(ji+1,jj) )   &
                &                          / ( e1t(ji,jj) + e1t(ji+1,jj) + zepsi )
-            zcorl2(ji,jj) = zmass2(ji,jj) * ( e2t(ji,jj+1) * fcor(ji,jj) + e2t(ji,jj) * fcor(ji,jj+1) )   &
+            zcorl2(ji,jj) = zmass2(ji,jj) * ( e2t(ji,jj+1) * ff_t(ji,jj) + e2t(ji,jj) * ff_t(ji,jj+1) )   &
                &                          / ( e2t(ji,jj+1) + e2t(ji,jj) + zepsi )
             !
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/NST_SRC/agrif_user.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 6596)
@@ -41,6 +41,4 @@
       jpidta  = jpiglo
       jpjdta  = jpjglo
-      jpizoom = 1
-      jpjzoom = 1
       nperio  = 0
       jperio  = 0
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OFF_SRC/domrea.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OFF_SRC/domrea.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OFF_SRC/domrea.F90	(revision 6596)
@@ -118,6 +118,5 @@
          &             nn_write, ln_iscpl  , ln_mskland  , ln_cfmeta    , ln_clobber, nn_chunksz, nn_euler
       NAMELIST/namdom/ nn_bathy , rn_bathy , rn_e3zps_min, rn_e3zps_rat , nn_msh    , rn_hmin   , rn_isfhmin,&
-         &             rn_atfp  , rn_rdt   , nn_baro     , nn_closea    , ln_crs    , jphgr_msh,             &
-         &             ppglam0, ppgphi0, ppe1_deg, ppe2_deg, ppe1_m, ppe2_m, &
+         &             rn_atfp  , rn_rdt   , nn_baro     , nn_closea    , ln_crs    ,             &
          &             ppsur, ppa0, ppa1, ppkth, ppacr, ppdzmin, pphmax, ldbletanh, &
          &             ppa2, ppkth2, ppacr2
@@ -229,11 +228,5 @@
          WRITE(numout,*) '      time-splitting: nb of sub time-step  nn_baro   = ', nn_baro
          WRITE(numout,*) '      suppression of closed seas (=0)      nn_closea = ', nn_closea
-         WRITE(numout,*) '      type of horizontal mesh jphgr_msh           = ', jphgr_msh
-         WRITE(numout,*) '      longitude of first raw and column T-point ppglam0 = ', ppglam0
-         WRITE(numout,*) '      latitude  of first raw and column T-point ppgphi0 = ', ppgphi0
-         WRITE(numout,*) '      zonal      grid-spacing (degrees) ppe1_deg        = ', ppe1_deg
-         WRITE(numout,*) '      meridional grid-spacing (degrees) ppe2_deg        = ', ppe2_deg
-         WRITE(numout,*) '      zonal      grid-spacing (degrees) ppe1_m          = ', ppe1_m
-         WRITE(numout,*) '      meridional grid-spacing (degrees) ppe2_m          = ', ppe2_m
+
          WRITE(numout,*) '      ORCA r4, r2 and r05 coefficients  ppsur           = ', ppsur
          WRITE(numout,*) '                                        ppa0            = ', ppa0
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90	(revision 6596)
@@ -155,5 +155,5 @@
          &             nn_bench, nn_timing, nn_diacfl
       NAMELIST/namcfg/ cp_cfg, cp_cfz, jp_cfg, jpidta, jpjdta, jpkdta, jpiglo, jpjglo, &
-         &             jpizoom, jpjzoom, jperio, ln_use_jattr
+         &             jperio, ln_use_jattr
       !!----------------------------------------------------------------------
       cltxt = ''
@@ -351,11 +351,4 @@
          WRITE(numout,*) '      configuration name              cp_cfg      = ', TRIM(cp_cfg)
          WRITE(numout,*) '      configuration resolution        jp_cfg      = ', jp_cfg
-         WRITE(numout,*) '      1st lateral dimension ( >= jpi ) jpidta     = ', jpidta
-         WRITE(numout,*) '      2nd    "         "    ( >= jpj ) jpjdta     = ', jpjdta
-         WRITE(numout,*) '      3nd    "         "               jpkdta     = ', jpkdta
-         WRITE(numout,*) '      1st dimension of global domain in i jpiglo  = ', jpiglo
-         WRITE(numout,*) '      2nd    -                  -    in j jpjglo  = ', jpjglo
-         WRITE(numout,*) '      left bottom i index of the zoom (in data domain) jpizoom = ', jpizoom
-         WRITE(numout,*) '      left bottom j index of the zoom (in data domain) jpizoom = ', jpjzoom
          WRITE(numout,*) '      lateral cond. type (between 0 and 6) jperio = ', jperio   
          WRITE(numout,*) '      use file attribute if exists as i/p j-start ln_use_jattr = ', ln_use_jattr
@@ -400,12 +393,4 @@
       ENDIF
       !
-      IF( nbench == 1 )   THEN            ! Benchmark 
-         SELECT CASE ( cp_cfg )
-         CASE ( 'gyre' )   ;   CALL ctl_warn( ' The Benchmark is activated ' )
-         CASE DEFAULT      ;   CALL ctl_stop( ' The Benchmark is based on the GYRE configuration:',   &
-            &                                 ' cp_cfg="gyre" in namelsit &namcfg or set nbench = 0' )
-         END SELECT
-      ENDIF
-      !
       IF( lk_c1d .AND. .NOT.lk_iomput )   CALL ctl_stop( 'nemo_ctl: The 1D configuration must be used ',   &
          &                                               'with the IOM Input/Output manager. '        ,   &
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 6596)
@@ -769,8 +769,8 @@
 !      is = mjg(1) + 1            ! if monotasking and no zoom, is=2
 !      in = mjg(1) + nlcj-1 - 1   ! if monotasking and no zoom, in=jpjm1      
-      iwe = mig(1) - jpizoom + 2         ! if monotasking and no zoom, iw=2
-      ies = mig(1) + nlci - jpizoom - 1  ! if monotasking and no zoom, ie=jpim1
-      iso = mjg(1) - jpjzoom + 2         ! if monotasking and no zoom, is=2
-      ino = mjg(1) + nlcj - jpjzoom - 1  ! if monotasking and no zoom, in=jpjm1
+      iwe = mig(1) - 1 + 2         ! if monotasking and no zoom, iw=2
+      ies = mig(1) + nlci-1 - 1  ! if monotasking and no zoom, ie=jpim1
+      iso = mjg(1) - 1 + 2         ! if monotasking and no zoom, is=2
+      ino = mjg(1) + nlcj-1 - 1  ! if monotasking and no zoom, in=jpjm1
 
       ALLOCATE( nbondi_bdy(nb_bdy))
@@ -785,45 +785,45 @@
       ! Work out dimensions of boundary data on each neighbour process
       IF(nbondi == 0) THEN
-         iw_b(1) = jpizoom + nimppt(nowe+1)
-         ie_b(1) = jpizoom + nimppt(nowe+1)+nlcit(nowe+1)-3
-         is_b(1) = jpjzoom + njmppt(nowe+1)
-         in_b(1) = jpjzoom + njmppt(nowe+1)+nlcjt(nowe+1)-3
-
-         iw_b(2) = jpizoom + nimppt(noea+1)
-         ie_b(2) = jpizoom + nimppt(noea+1)+nlcit(noea+1)-3
-         is_b(2) = jpjzoom + njmppt(noea+1)
-         in_b(2) = jpjzoom + njmppt(noea+1)+nlcjt(noea+1)-3
+         iw_b(1) = 1 + nimppt(nowe+1)
+         ie_b(1) = 1 + nimppt(nowe+1)+nlcit(nowe+1)-3
+         is_b(1) = 1 + njmppt(nowe+1)
+         in_b(1) = 1 + njmppt(nowe+1)+nlcjt(nowe+1)-3
+
+         iw_b(2) = 1 + nimppt(noea+1)
+         ie_b(2) = 1 + nimppt(noea+1)+nlcit(noea+1)-3
+         is_b(2) = 1 + njmppt(noea+1)
+         in_b(2) = 1 + njmppt(noea+1)+nlcjt(noea+1)-3
       ELSEIF(nbondi == 1) THEN
-         iw_b(1) = jpizoom + nimppt(nowe+1)
-         ie_b(1) = jpizoom + nimppt(nowe+1)+nlcit(nowe+1)-3
-         is_b(1) = jpjzoom + njmppt(nowe+1)
-         in_b(1) = jpjzoom + njmppt(nowe+1)+nlcjt(nowe+1)-3
+         iw_b(1) = 1 + nimppt(nowe+1)
+         ie_b(1) = 1 + nimppt(nowe+1)+nlcit(nowe+1)-3
+         is_b(1) = 1 + njmppt(nowe+1)
+         in_b(1) = 1 + njmppt(nowe+1)+nlcjt(nowe+1)-3
       ELSEIF(nbondi == -1) THEN
-         iw_b(2) = jpizoom + nimppt(noea+1)
-         ie_b(2) = jpizoom + nimppt(noea+1)+nlcit(noea+1)-3
-         is_b(2) = jpjzoom + njmppt(noea+1)
-         in_b(2) = jpjzoom + njmppt(noea+1)+nlcjt(noea+1)-3
+         iw_b(2) = 1 + nimppt(noea+1)
+         ie_b(2) = 1 + nimppt(noea+1)+nlcit(noea+1)-3
+         is_b(2) = 1 + njmppt(noea+1)
+         in_b(2) = 1 + njmppt(noea+1)+nlcjt(noea+1)-3
       ENDIF
 
       IF(nbondj == 0) THEN
-         iw_b(3) = jpizoom + nimppt(noso+1)
-         ie_b(3) = jpizoom + nimppt(noso+1)+nlcit(noso+1)-3
-         is_b(3) = jpjzoom + njmppt(noso+1)
-         in_b(3) = jpjzoom + njmppt(noso+1)+nlcjt(noso+1)-3
-
-         iw_b(4) = jpizoom + nimppt(nono+1)
-         ie_b(4) = jpizoom + nimppt(nono+1)+nlcit(nono+1)-3
-         is_b(4) = jpjzoom + njmppt(nono+1)
-         in_b(4) = jpjzoom + njmppt(nono+1)+nlcjt(nono+1)-3
+         iw_b(3) = 1 + nimppt(noso+1)
+         ie_b(3) = 1 + nimppt(noso+1)+nlcit(noso+1)-3
+         is_b(3) = 1 + njmppt(noso+1)
+         in_b(3) = 1 + njmppt(noso+1)+nlcjt(noso+1)-3
+
+         iw_b(4) = 1 + nimppt(nono+1)
+         ie_b(4) = 1 + nimppt(nono+1)+nlcit(nono+1)-3
+         is_b(4) = 1 + njmppt(nono+1)
+         in_b(4) = 1 + njmppt(nono+1)+nlcjt(nono+1)-3
       ELSEIF(nbondj == 1) THEN
-         iw_b(3) = jpizoom + nimppt(noso+1)
-         ie_b(3) = jpizoom + nimppt(noso+1)+nlcit(noso+1)-3
-         is_b(3) = jpjzoom + njmppt(noso+1)
-         in_b(3) = jpjzoom + njmppt(noso+1)+nlcjt(noso+1)-3
+         iw_b(3) = 1 + nimppt(noso+1)
+         ie_b(3) = 1 + nimppt(noso+1)+nlcit(noso+1)-3
+         is_b(3) = 1 + njmppt(noso+1)
+         in_b(3) = 1 + njmppt(noso+1)+nlcjt(noso+1)-3
       ELSEIF(nbondj == -1) THEN
-         iw_b(4) = jpizoom + nimppt(nono+1)
-         ie_b(4) = jpizoom + nimppt(nono+1)+nlcit(nono+1)-3
-         is_b(4) = jpjzoom + njmppt(nono+1)
-         in_b(4) = jpjzoom + njmppt(nono+1)+nlcjt(nono+1)-3
+         iw_b(4) = 1 + nimppt(nono+1)
+         ie_b(4) = 1 + nimppt(nono+1)+nlcit(nono+1)-3
+         is_b(4) = 1 + njmppt(nono+1)
+         in_b(4) = 1 + njmppt(nono+1)+nlcjt(nono+1)-3
       ENDIF
 
@@ -899,6 +899,6 @@
 !                     idx_bdy(ib_bdy)%nbi(icount,igrd)   = nbidta(ib,igrd,ib_bdy)- mig(1)+1
 !                     idx_bdy(ib_bdy)%nbj(icount,igrd)   = nbjdta(ib,igrd,ib_bdy)- mjg(1)+1
-                     idx_bdy(ib_bdy)%nbi(icount,igrd)   = nbidta(ib,igrd,ib_bdy)- mig(1)+jpizoom
-                     idx_bdy(ib_bdy)%nbj(icount,igrd)   = nbjdta(ib,igrd,ib_bdy)- mjg(1)+jpjzoom
+                     idx_bdy(ib_bdy)%nbi(icount,igrd)   = nbidta(ib,igrd,ib_bdy)- mig(1)+1
+                     idx_bdy(ib_bdy)%nbj(icount,igrd)   = nbjdta(ib,igrd,ib_bdy)- mjg(1)+1
                      ! check if point has to be sent
                      ii = idx_bdy(ib_bdy)%nbi(icount,igrd)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/C1D/domc1d.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/C1D/domc1d.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/C1D/domc1d.F90	(revision 6596)
@@ -24,4 +24,7 @@
 
    PUBLIC   dom_c1d   ! called in domcfg.F90
+
+   INTEGER ::   jpizoom = 1      !: left bottom (i,j) indices of the zoom
+   INTEGER ::   jpjzoom = 1      !: in data domain indices
 
    !!----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/C1D/dyncor_c1d.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/C1D/dyncor_c1d.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/C1D/dyncor_c1d.F90	(revision 6596)
@@ -49,30 +49,4 @@
       IF(lwp) WRITE(numout,*) '~~~~~~~'
 
-      SELECT CASE( jphgr_msh )   ! type of horizontal mesh
-      !
-      CASE ( 0, 1, 4 )               ! mesh on the sphere
-         ff(:,:) = 2. * omega * SIN( rad * gphit(:,:) ) 
-         !
-      CASE ( 2 )                     ! f-plane at ppgphi0 
-         ff(:,:) = 2. * omega * SIN( rad * ppgphi0 )
-         IF(lwp) WRITE(numout,*) '          f-plane: Coriolis parameter = constant = ', ff(1,1)
-         !
-      CASE ( 3 )                     ! beta-plane
-         zbeta   = 2. * omega * COS( rad * ppgphi0 ) / ra                     ! beta at latitude ppgphi0
-         zphi0   = ppgphi0 - FLOAT( jpjglo/2) * ppe2_m *1.e-3  / ( ra * rad ) ! latitude of the first row F-points
-         zf0     = 2. * omega * SIN( rad * zphi0 )                            ! compute f0 1st point south
-         ff(:,:) = ( zf0  + zbeta * gphit(:,:) * 1.e+3 )                      ! f = f0 +beta* y ( y=0 at south)
-         IF(lwp) WRITE(numout,*) '          Beta-plane: Beta parameter = constant = ', ff(1,1)
-         IF(lwp) WRITE(numout,*) '                      Coriolis parameter varies from ', ff(1,1),' to ', ff(1,jpj)
-         !
-      CASE ( 5 )                     ! beta-plane and rotated domain
-         zbeta = 2. * omega * COS( rad * ppgphi0 ) / ra                     ! beta at latitude ppgphi0
-         zphi0 = 15.e0                                                      ! latitude of the first row F-points
-         zf0   = 2. * omega * SIN( rad * zphi0 )                            ! compute f0 1st point south
-         ff(:,:) = ( zf0 + zbeta * ABS( gphit(:,:) - zphi0 ) * rad * ra )   ! f = f0 +beta* y ( y=0 at south)
-         IF(lwp) WRITE(numout,*) '          Beta-plane: Beta parameter = constant = ', ff(1,1)
-         IF(lwp) WRITE(numout,*) '                      Coriolis parameter varies from ', ff(1,1),' to ', ff(1,jpj)
-         !
-      END SELECT
       !
    END SUBROUTINE cor_c1d
@@ -100,6 +74,6 @@
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1   ! vector opt.
-               ua(ji,jj,jk) = ua(ji,jj,jk) + ff(ji,jj) * vn(ji,jj,jk)
-               va(ji,jj,jk) = va(ji,jj,jk) - ff(ji,jj) * un(ji,jj,jk)
+               ua(ji,jj,jk) = ua(ji,jj,jk) + ff_t(ji,jj) * vn(ji,jj,jk)
+               va(ji,jj,jk) = va(ji,jj,jk) - ff_t(ji,jj) * un(ji,jj,jk)
             END DO
          END DO
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/CRS/crsdom.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/CRS/crsdom.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/CRS/crsdom.F90	(revision 6596)
@@ -2023,7 +2023,4 @@
          nimpp_crs = nimppt_crs(nproc + 1)
 
-         ! No coarsening with zoom
-         IF( jpizoom /= 1 .OR. jpjzoom /= 1)    STOP 
-
          DO ji = 1, jpi_crs
             mig_crs(ji) = ji + nimpp_crs - 1
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90	(revision 6596)
@@ -11,5 +11,5 @@
    !!----------------------------------------------------------------------
    USE par_kind, ONLY: wp
-   USE par_oce                  ! For parameter jpi,jpj,jphgr_msh
+   USE par_oce                  ! For parameter jpi,jpj
    USE dom_oce                  ! For parameters in par_oce
    USE crs                      ! Coarse grid domain
@@ -170,15 +170,11 @@
      !      3.c.2 Coriolis factor  
 
-      SELECT CASE( jphgr_msh )   ! type of horizontal mesh
-
-      CASE ( 0, 1, 4 )           ! mesh on the sphere
-
-         ff_crs(:,:) = 2. * omega * SIN( rad * gphif_crs(:,:) )
-
-      CASE DEFAULT 
-
-       IF(lwp)    WRITE(numout,*) 'crsini.F90. crs_init. Only jphgr_msh = 0, 1 or 4 supported' 
+!!gm  Not sure CRS needs Coriolis parameter....
+!!gm  If needed, then update this to have Coriolis at both f- and t-points
+
+      ff_crs(:,:) = 2. * omega * SIN( rad * gphif_crs(:,:) )
+
+      CALL ctl_warn( 'crsini: CAUTION, CRS only designed for Coriolis defined on the sphere' ) 
  
-      END SELECT 
 
      !    3.d.1 mbathy ( vertical k-levels of bathymetry )     
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 6596)
@@ -424,6 +424,6 @@
               IF( iiglo==jpidta .AND. nimpp==1 ) iiglo = 2
 
-              iiloc=iiglo-jpizoom+1-nimpp+1   ! local coordinates of the point
-              ijloc=ijglo-jpjzoom+1-njmpp+1   !  "
+              iiloc=iiglo-nimpp+1   ! local coordinates of the point
+              ijloc=ijglo-njmpp+1   !  "
 
               !verify if the point is on the local domain:(1,nlei)*(1,nlej)
@@ -444,6 +444,6 @@
               WRITE(numout,*)"      List of points selected by the proc:"
               DO jpt = 1,iptloc
-                 iiglo = secs(jsec)%listPoint(jpt)%I + jpizoom - 1 + nimpp - 1
-                 ijglo = secs(jsec)%listPoint(jpt)%J + jpjzoom - 1 + njmpp - 1
+                 iiglo = secs(jsec)%listPoint(jpt)%I + nimpp - 1
+                 ijglo = secs(jsec)%listPoint(jpt)%J + njmpp - 1
                  WRITE(numout,*)'         # I J : ',iiglo,ijglo
               ENDDO
@@ -452,6 +452,6 @@
               IF(jsec==nn_secdebug .AND. secs(jsec)%nb_point .NE. 0)THEN
               DO jpt = 1,iptloc
-                 iiglo = secs(jsec)%listPoint(jpt)%I + jpizoom - 1 + nimpp - 1
-                 ijglo = secs(jsec)%listPoint(jpt)%J + jpjzoom - 1 + njmpp - 1
+                 iiglo = secs(jsec)%listPoint(jpt)%I + nimpp - 1
+                 ijglo = secs(jsec)%listPoint(jpt)%J + njmpp - 1
               ENDDO
               ENDIF
@@ -468,6 +468,6 @@
            IF(jsec==nn_secdebug .AND. secs(jsec)%nb_point .NE. 0)THEN
               DO jpt = 1,secs(jsec)%nb_point
-                 iiglo = secs(jsec)%listPoint(jpt)%I + jpizoom - 1 + nimpp - 1
-                 ijglo = secs(jsec)%listPoint(jpt)%J + jpjzoom - 1 + njmpp - 1
+                 iiglo = secs(jsec)%listPoint(jpt)%I + nimpp - 1
+                 ijglo = secs(jsec)%listPoint(jpt)%J + njmpp - 1
               ENDDO
            ENDIF
@@ -479,6 +479,6 @@
               iptloc = secs(jsec)%nb_point
               DO jpt = 1,iptloc
-                 iiglo = secs(jsec)%listPoint(jpt)%I + jpizoom - 1 + nimpp - 1
-                 ijglo = secs(jsec)%listPoint(jpt)%J + jpjzoom - 1 + njmpp - 1
+                 iiglo = secs(jsec)%listPoint(jpt)%I + nimpp - 1
+                 ijglo = secs(jsec)%listPoint(jpt)%J + njmpp - 1
                  WRITE(numout,*)'         # I J : ',iiglo,ijglo
                  CALL FLUSH(numout)
